"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

exports.default = getFrontendBabelConfiguration;

var _common = require("./common");

var _common2 = _interopRequireDefault(_common);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// "Frontend" includes everything that has a chance to get to the browser.
function getFrontendBabelConfiguration() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$useHotModuleRelo = _ref.useHotModuleReloading,
      useHotModuleReloading = _ref$useHotModuleRelo === undefined ? false : _ref$useHotModuleRelo,
      _ref$useRuntime = _ref.useRuntime,
      useRuntime = _ref$useRuntime === undefined ? true : _ref$useRuntime,
      commonSettings = (0, _objectWithoutProperties3.default)(_ref, ["useHotModuleReloading", "useRuntime"]);

  var frontendConfiguration = (0, _common2.default)((0, _extends3.default)({
    useRuntime: useRuntime
  }, commonSettings));

  // Enable Hot Module Reloading if requested.
  if (useHotModuleReloading) {
    // FIXME: Leverage new approach:
    // https://medium.com/@dan_abramov/hot-reloading-in-react-1140438583bf
    frontendConfiguration.plugins.unshift([require.resolve("babel-plugin-react-transform"), {
      factoryMethods: ["React.createClass"],
      transforms: [{
        imports: ["react"],
        locals: ["module"],
        transform: "react-transform-hmr"
      }]
    }]);
  }

  return frontendConfiguration;
} /**
   * Copyright 2013-present, Novivia, Inc.
   * All rights reserved.
   */

// eslint-disable-next-line filenames/match-exported
module.exports = exports["default"];