"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getConfigurationFromPackage;

var _pkginfoJson = require("pkginfo-json5");

var _pkginfoJson2 = _interopRequireDefault(_pkginfoJson);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getConfigurationFromPackage() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      module = _ref.module,
      rootDirectory = _ref.rootDirectory;

  return (0, _pkginfoJson2.default)(
  // If `module` was provided, attempt to extract additional configuration
  // options from that module's package.
  module, {
    // If `module` was not provided, use the current process' working
    // directory and still attempt to extract additional configuration options
    // from that module's package.
    dir: module ? undefined : rootDirectory || process.cwd(),
    include: ["novivia-babel"]
  })["novivia-babel"] || {};
} /**
   * Copyright 2013-present, Novivia, Inc.
   * All rights reserved.
   */

module.exports = exports["default"];